import { stringify } from '@angular/compiler/src/util';
import { Component, OnInit } from '@angular/core';
import { ModalController } from '@ionic/angular';
import { DiscotecaI } from '../interfaces/discoteca-i';
import { Eventoi } from '../interfaces/eventoi';
import { Reservai } from '../interfaces/reservai';
import { ReservamodalPage } from '../reservamodal/reservamodal.page';
import { CodigoreservaService } from '../services/codigoreserva.service';
import { FeedService } from '../services/feed.service';

@Component({
  selector: 'app-view-evento-cliente',
  templateUrl: './view-evento-cliente.page.html',
  styleUrls: ['./view-evento-cliente.page.scss'],
})
export class ViewEventoClientePage implements OnInit {

  evento: Eventoi;
  discoteca: DiscotecaI;
  reserva: Reservai;
  codigoReserva: string;

  constructor(private feedService: FeedService, private modalController: ModalController, 
    private codigoReservaService: CodigoreservaService) { }

  ngOnInit() {
    this.evento = this.feedService.getEventoByIndex(this.feedService.eventoIndex);
    this.discoteca = this.feedService.discotecaEvento;
  }

  generarCodigo(){
    this.codigoReserva = stringify(this.codigoReservaService.generarAleatorio());
    console.log(this.codigoReserva);
  }

  openReserva(){
    this.modalController.create({
      component: ReservamodalPage,
      componentProps : {
        codigo: this.codigoReserva
      }

    }).then(modal => modal.present());

  }

}
